" Vim compiler file
" Compiler:     ConTeXt
" Maintainer:   Nicola Vitacolonna <nvitacolonna@gmail.com>
" Last Change:  2016 Oct 10

if exists("current_compiler")
  finish
endif
let s:keepcpo= &cpo
set cpo&vim

if exists(":CompilerSet") != 2    " older Vim always used :setlocal
  command -nargs=* CompilerSet setlocal <args>
endif

" If makefile exists and we are not asked to ignore it, we use standard make
" (do not redefine makeprg)
if get(b:, 'context_ignore_makefile', get(g:, 'context_ignore_makefile', 0)) ||
      \ (!filereadable('Makefile') && !filereadable('makefile'))
  let current_compiler = 'context'
  let &l:makeprg =
        \   'cd ' . fnameescape(fnamemodify(bufname("%"), ':p:h'))
        \ . ' && ' . get(b:, 'context_mtxrun', get(g:, 'context_mtxrun', 'mtxrun'))
        \ . ' --script context --autogenerate --nonstopmode --synctex='
        \ . (get(b:, 'context_synctex', get(g:, 'context_synctex', 0)) ? '1' : '0')
else
  let current_compiler = 'make'
endif

CompilerSet errorformat=%Etex\ %trror%.%#error\ on\ line\ %l\ in\ file\ %f:\ %m,
      \%Elua\ %trror%.%#error\ on\ line\ %l\ in\ file\ %f:,
      \%C\ %#,
      \%Z...%m
" Skip remaining lines
CompilerSet errorformat+=%-G%.%#

let &cpo = s:keepcpo
unlet s:keepcpo
